<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android">
    <PreferenceCategory android:title="@string/prefs_refresh_category">
        <CheckBoxPreference 
            android:title="@string/prefs_refresh_service_title" 
            android:key="@string/key_refresh_service" 
            android:persistent="true"
            android:summary="@string/prefs_refresh_service_summary"
            />
		<ListPreference 
		    android:entryValues="@array/prefs_refresh_time_value" 
		    android:persistent="true"
    		android:entries="@array/prefs_refresh_time"
    		android:title="@string/prefs_refresh_status_time_title"
          	android:dialogTitle="@string/prefs_refresh_status_time_dialogTitle" 
          	android:key="@string/key_refresh_status_time" 
          	android:summary="@string/prefs_refresh_status_time_summary"
          	android:dependency="service"
          	android:defaultValue="600"
          	/>
	</PreferenceCategory>
	
	<PreferenceCategory android:title="@string/prefs_app_category">
	    <EditTextPreference
	        android:title="@string/prefs_server_name_title"
	        android:summary="@string/prefs_server_name_summary"
	        android:key="@string/key_server_name"
	        android:persistent="true"
	        android:defaultValue="http://isopen.hacklabbo.indivia.net/hacklabbo/state.json"
	        />
		<CheckBoxPreference 
            android:title="@string/prefs_update_title" 
            android:key="@string/key_update_service" 
            android:persistent="true"
            android:summary="@string/prefs_update_summary" 
            />
	</PreferenceCategory>
</PreferenceScreen>